Package org.apache.lucene.document

## Enum InvertableType

- java.lang.Object
- - java.lang.Enum<InvertableType>
  - - org.apache.lucene.document.InvertableType

- All Implemented Interfaces:
    `Serializable`, `Comparable<InvertableType>`

      public enum InvertableType
      extends Enum<InvertableType>

  Describes how an `IndexableField` should be inverted for indexing terms and postings.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BINARY` | The field should be treated as a single value whose binary content is returned by `IndexableField.binaryValue()`.
    `TOKEN_STREAM` | The field should be inverted through its `IndexableField.tokenStream(org.apache.lucene.analysis.Analyzer, org.apache.lucene.analysis.TokenStream)`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InvertableType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static InvertableType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINARY

          public static final InvertableType BINARY

      The field should be treated as a single value whose binary content is returned by `IndexableField.binaryValue()`. The term frequency is assumed to be one. If you need to index multiple values, you should pass multiple `IndexableField` instances to the `IndexWriter`. If the same value is provided multiple times, the term frequency will be equal to the number of times that this value occurred in the same document.

    - #### TOKEN_STREAM

          public static final InvertableType TOKEN_STREAM

      The field should be inverted through its `IndexableField.tokenStream(org.apache.lucene.analysis.Analyzer, org.apache.lucene.analysis.TokenStream)`.

  - ### Method Detail

    - #### values

          public static InvertableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InvertableType c : InvertableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InvertableType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null